Skip to main content
GET
/
invoices
JavaScript
import Whop from '@whop/sdk';

const client = new Whop({
  apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const invoiceListItem of client.invoices.list({ company_id: 'biz_xxxxxxxxxxxxxx' })) {
  console.log(invoiceListItem.id);
}
{
  "data": [
    {
      "id": "inv_xxxxxxxxxxxxxx",
      "created_at": "2023-12-01T05:00:00.401Z",
      "status": "draft",
      "number": "#0001",
      "due_date": "2023-12-01T05:00:00.401Z",
      "email_address": "customer@example.com",
      "fetch_invoice_token": "eyJhbGciOiJIUzI1NiJ9...",
      "current_plan": {
        "id": "plan_xxxxxxxxxxxxx",
        "formatted_price": "$10.00",
        "currency": "usd"
      },
      "user": {
        "id": "user_xxxxxxxxxxxxx",
        "name": "John Doe",
        "username": "johndoe42"
      }
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "start_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true
  }
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Query Parameters

after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

company_id
string
required

The unique identifier of the company to list invoices for.

Example:

"biz_xxxxxxxxxxxxxx"

direction
enum<string> | null

The sort direction for ordering results, either ascending or descending.

Available options:
asc,
desc
product_ids
string[] | null

Filter invoices to only those associated with these specific product identifiers.

Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.

collection_methods
enum<string>[] | null

Filter invoices by their collection method.

The method of collection for an invoice.

Available options:
send_invoice,
charge_automatically
statuses
enum<string>[] | null

Filter invoices by their current status.

The different statuses an invoice can be in

Available options:
draft,
open,
paid,
past_due,
void
order
enum<string> | null

The field to order results by, such as creation date or due date.

Available options:
id,
created_at,
due_date
created_before
string<date-time> | null

Only return invoices created before this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

created_after
string<date-time> | null

Only return invoices created after this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

Response

A successful response

The connection type for Invoice.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.